/* somma_client.c: client che chiama la procedura remota */

#include <stdio.h>
#include <rpc/rpc.h>
#include "somma.h"

main(int argc, char *argv[]){

	CLIENT *cl;
	int *ris;
	char *server;
	Operandi op;

	if (argc < 3) {
		fprintf(stderr, "uso: %s host op1 op2\n", argv[0]);
		exit(1);
	}

	server = argv[1];
	op.op1 = atoi(argv[2]);
	op.op2 = atoi(argv[3]);

	cl = clnt_create(server, SOMMAPROG, SOMMAVERS, "udp");
	if (cl == NULL) {
		clnt_pcreateerror(server);
		exit(1);
	}

	ris = somma_1(&op, cl);
	if (ris == NULL) {
		clnt_perror(cl, server);
		exit(1);
	}


	printf("Operandi inviati a %s: %i e %i\n", server, op.op1, op.op2);
	printf("Risultato ricevuto da %s: %i\n", server, *ris);

}
